Public Class entMainNews
#Region "Private Fields"
    Private strNewsID As String
    Private strNewsHeadline As String
    Private strNewsSummary As String
    Private strNewsText As String
    Private strNewsDate As String
    Private strThumbImage As String
    Private strMainImage As String
    Private intActive As Integer
    Private intDeleted As Integer
    Private strCreatedBy As String
    Private strCreatedDate As String
    Private intDeletedBy As String
    Private intDeletedDate As String
    Private strModifiedBy As String
    Private strModifiedDate As String
#End Region
#Region "Public Properties"
    Public Property NewsID() As String
        Get
            Return strNewsID
        End Get
        Set(ByVal value As String)
            strNewsID = value
        End Set
    End Property
    Public Property NewsHeadline() As String
        Get
            Return strNewsHeadline
        End Get
        Set(ByVal value As String)
            strNewsHeadline = value
        End Set
    End Property
    Public Property NewsSummary() As String
        Get
            Return strNewsSummary
        End Get
        Set(ByVal value As String)
            strNewsSummary = value
        End Set
    End Property
    Public Property NewsText() As String
        Get
            Return strNewsText
        End Get
        Set(ByVal value As String)
            strNewsText = value
        End Set
    End Property
    Public Property NewsDate() As String
        Get
            Return strNewsDate
        End Get
        Set(ByVal value As String)
            strNewsDate = value
        End Set
    End Property
    Public Property ThumbImage() As String
        Get
            Return strThumbImage
        End Get
        Set(ByVal value As String)
            strThumbImage = value
        End Set
    End Property
    Public Property MainImage() As String
        Get
            Return strMainImage
        End Get
        Set(ByVal value As String)
            strMainImage = value
        End Set
    End Property

    Public Property Active() As Integer
        Get
            Return intActive
        End Get
        Set(ByVal value As Integer)
            intActive = value
        End Set
    End Property
    Public Property Deleted() As Integer
        Get
            Return intDeleted
        End Get
        Set(ByVal value As Integer)
            intDeleted = value
        End Set
    End Property
    Public Property CreatedBy() As String
        Get
            Return strCreatedBy
        End Get
        Set(ByVal value As String)
            strCreatedBy = value
        End Set
    End Property
    Public Property CreatedDate() As String
        Get
            Return strCreatedDate
        End Get
        Set(ByVal value As String)
            strCreatedDate = value
        End Set
    End Property
    Public Property DeletedBy() As String
        Get
            Return intDeletedBy
        End Get
        Set(ByVal value As String)
            intDeletedBy = value
        End Set
    End Property
    Public Property DeletedDate() As String
        Get
            Return intDeletedDate
        End Get
        Set(ByVal value As String)
            intDeletedDate = value
        End Set
    End Property
    Public Property ModifiedBy() As String
        Get
            Return strModifiedBy
        End Get
        Set(ByVal value As String)
            strModifiedBy = value
        End Set
    End Property
    Public Property ModifiedDate() As String
        Get
            Return strModifiedDate
        End Get
        Set(ByVal value As String)
            strModifiedDate = value
        End Set
    End Property
#End Region
End Class